FILEFRAG(8)

NAZWA
filefrag - informuje o fragmentacji pliku

SKŁADNIA
filefrag [ -b rozmiar-bloku ] [ -BeksvxX ] [ pliki... ]

OPIS
Program filefrag informuje o poziomie fragmentacji danego pliku. Bierze poprawkę na bloki pośrednie w systemach plików ext2 i ext3, lecz można go stosować w każdym systemie plików.

Program filefrag najpierw stara się pozyskać informację o ekstencie za pomocą ioctl FIEMAP, które jest znacznie wydajniejsze i szybsze. Jeśli FIEMAP jest niedostępne, korzysta z FIBMAP.

OPCJE

-B  Wymusza użycie starszego ioctl FIBMAP zamiast ioctl FIEMAP w celach testowych.

-b rozmiar-bloku
    Używa rozmiaru-bloku w bajtach do wypisywania wyniku zamiast rozmiaru bloków systemu plików. Z powodu zgodności ze starszymi wersjami filefrag, jeśli nie poda się wartości rozmiar-bloku ustawiana jest wartość domyślna 1024 bajtów.

-e  Wypisuje wynik w formacie ekstentów, nawet w przypadku plików przydzielonych do bloków.

-k  Używa 1024-bajtowego rozmiaru bloku do wypisywania wyniku (identyczne do "-b 1024").

-s  Wykonuje synchronizację pliku przed żądaniem mapowania.

-v  Wypisuje więcej informacji przy sprawdzaniu fragmentacji pliku.

-x  Wyświetla mapowanie atrybutów rozszerzonych.

-X  Wyświetla numer bloków ekstentów w formacie szesnastkowym.

AUTOR
filefrag zostało napisane przez Theodore'a Ts'o <tytso@mit.edu>.

TŁUMACZENIE
Autorem polskiego tłumaczenia niniejszej strony podręcznika man jest Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 1.42.12 oryginału.